<mat-sidenav-container *ngIf="info$ | async" class="layout-container" [ngClass]="cardElevation$ | async">

  <div class="layout" fxLayout="column" [class.alpha]="layout === 'alpha'">
    <mat-sidenav-container fxFlex>
      <mat-sidenav class="sidenav-container" (openedStart)="openSidenav()" (closedStart)="closeSidenav()"
        [opened]="sidenavOpen$ | async" [position]="sidenavAlign$ | async" [mode]="sidenavMode$ | async"
        [disableClose]="sidenavDisableClose$ | async" [vrSidenavCollapse]="sidenavCollapsed$ | async">
        <elastic-sidenav [layout]="layout" [collapsed]="sidenavCollapsed$ | async"
          (toggledSidenavCollapse)="toggleSidenavCollapse()"></elastic-sidenav>
      </mat-sidenav>
      <elastic-toolbar-alpha [sidenavCollapsed]="sidenavCollapsed$ | async" [quickpanelOpen]="quickpanelOpen$ | async"
        (toggledSidenav)="toggleSidenav()" (toggledQuickpanel)="toggleQuickpanel()">
      </elastic-toolbar-alpha>
      <div class="content-container" fxFlex>
        <router-outlet></router-outlet>
      </div>
    </mat-sidenav-container>
  </div>
</mat-sidenav-container>